--- boost/test/impl/execution_monitor.ipp.orig	2007-10-22 23:59:14.339059000 -0700
+++ boost/test/impl/execution_monitor.ipp	2007-10-22 23:51:47.088872000 -0700
@@ -49,6 +49,11 @@
 namespace std { using ::strerror; using ::strlen; using ::strncat; }
 #endif
 
+// to use vsnprintf
+#if defined(__SUNPRO_CC) && defined(__SunOS)
+#  include <stdio.h>
+#endif
+
 #if defined(_WIN32) && !defined(BOOST_DISABLE_WIN32) &&                  \
     (!defined(__COMO__) && !defined(__MWERKS__) && !defined(__GNUC__) || \
      BOOST_WORKAROUND(__MWERKS__, >= 0x3000))
@@ -174,7 +179,7 @@
     static const int REPORT_ERROR_BUFFER_SIZE = 512;
     static char buf[REPORT_ERROR_BUFFER_SIZE];
 
-    va_list args;
+    std::va_list args;
     va_start( args, format );
 
     BOOST_TEST_VSNPRINTF( buf, sizeof(buf), format, args );
